/*
 * Class REAL_32_REF
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_179 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_179 [] = {0xFF01,237,178,0xFFFF};
static const EIF_TYPE_INDEX egt_2_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_3_179 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_179 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_6_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_7_179 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_179 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_179 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_179 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_179 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_13_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_14_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_15_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_16_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_17_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_18_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_19_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_20_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_21_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_22_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_23_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_24_179 [] = {0xFF01,178,0xFFFF};
static const EIF_TYPE_INDEX egt_25_179 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_179[] = {
	{EIF_GENERIC(NULL), 10046, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_179), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_179), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_179), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_179), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_179), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_179), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_179), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_179), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_179), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_179), 10044, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_179), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_179), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0165 /*178*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_179), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1456, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_179), 1457, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_179), 1458, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10004, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 10006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10025, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_179), 10026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 10028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10030, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10033, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 10036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 10041, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_179), 10045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 10005, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_179), 10007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_179), 10008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 10020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_179), 10037, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_179), 10038, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_179), 10039, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_179), 10040, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_179), 10042, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_179), 10043, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_179), 10044, 0xFFFFFFFF},
};
void Init179(void)
{
	IDSC(desc_179, 0, 178);
	IDSC(desc_179 + 1, 1, 178);
	IDSC(desc_179 + 32, 203, 178);
	IDSC(desc_179 + 36, 288, 178);
	IDSC(desc_179 + 39, 320, 178);
	IDSC(desc_179 + 66, 248, 178);
	IDSC(desc_179 + 68, 254, 178);
	IDSC(desc_179 + 78, 336, 178);
}


#ifdef __cplusplus
}
#endif
